Package org.apache.calcite.avatica

## Class MetaImpl.MetaTypeInfo

- java.lang.Object
- - org.apache.calcite.avatica.MetaImpl.MetaTypeInfo

All Implemented Interfaces:
  `MetaImpl.Named`

Enclosing class:
  MetaImpl

    public static class MetaImpl.MetaTypeInfo
    extends java.lang.Object
    implements MetaImpl.Named

Metadata describing type info.

### Field Summary

Fields
`boolean` `autoIncrement`
`boolean` `caseSensitive`
`java.lang.String` `createParams`
`int` `dataType`
`boolean` `fixedPrecScale`
`java.lang.String` `literalPrefix`
`java.lang.String` `literalSuffix`
`java.lang.String` `localTypeName`
`java.lang.Short` `maximumScale`
`java.lang.Short` `minimumScale`
`short` `nullable`
`java.lang.Integer` `numPrecRadix`
`java.lang.Integer` `precision`
`short` `searchable`
`java.lang.Integer` `sqlDataType`
`java.lang.Integer` `sqlDatetimeSub`
`java.lang.String` `typeName`
`boolean` `unsignedAttribute`

### Constructor Summary

Constructors
`MetaTypeInfo​(java.lang.String typeName, int dataType, java.lang.Integer precision, java.lang.String literalPrefix, java.lang.String literalSuffix, short nullable, boolean caseSensitive, short searchable, boolean unsignedAttribute, boolean fixedPrecScale, boolean autoIncrement, java.lang.Short minimumScale, java.lang.Short maximumScale, java.lang.Integer numPrecRadix)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getName()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### typeName

    public final java.lang.String typeName

#### dataType

    public final int dataType

#### precision

    public final java.lang.Integer precision

#### literalPrefix

    public final java.lang.String literalPrefix

#### literalSuffix

    public final java.lang.String literalSuffix

#### createParams

    public final java.lang.String createParams

#### nullable

    public final short nullable

#### caseSensitive

    public final boolean caseSensitive

#### searchable

    public final short searchable

#### unsignedAttribute

    public final boolean unsignedAttribute

#### fixedPrecScale

    public final boolean fixedPrecScale

#### autoIncrement

    public final boolean autoIncrement

#### localTypeName

    public final java.lang.String localTypeName

#### minimumScale

    public final java.lang.Short minimumScale

#### maximumScale

    public final java.lang.Short maximumScale

#### sqlDataType

    public final java.lang.Integer sqlDataType

#### sqlDatetimeSub

    public final java.lang.Integer sqlDatetimeSub

#### numPrecRadix

    public final java.lang.Integer numPrecRadix

### Constructor Detail

#### MetaTypeInfo

    public MetaTypeInfo​(java.lang.String typeName,
                        int dataType,
                        java.lang.Integer precision,
                        java.lang.String literalPrefix,
                        java.lang.String literalSuffix,
                        short nullable,
                        boolean caseSensitive,
                        short searchable,
                        boolean unsignedAttribute,
                        boolean fixedPrecScale,
                        boolean autoIncrement,
                        java.lang.Short minimumScale,
                        java.lang.Short maximumScale,
                        java.lang.Integer numPrecRadix)

### Method Detail

#### getName

    public java.lang.String getName()

Specified by:
  `getName` in interface `MetaImpl.Named`